/// Handles all events from SDL_PollEvent.
module mde.events;

import mde.scheduler;
import global = mde.global;

import mde.input.input;
import mde.input.exception;

import derelict.sdl.events;

import tango.util.log.Log : Log, Logger;

private Logger logger;
static this() {
    logger = Log.getLogger ("mde.events");
}

void addEventsSchedule () {
    Scheduler.perFrame (&pollEvents);
}

void pollEvents (double) {
    SDL_Event event;
    while (SDL_PollEvent (&event)) {
        switch (event.type) {
            case SDL_QUIT:
                logger.info ("Quit requested");
                global.run = false;
                break;
            default:
                try {
                    global.input (event);
                } catch (InputClassException e) {
                    logger.warn ("Caught input exception; event will be ignored. Exception was:");
                    logger.warn (e.msg);
                }
        }
    }
}
