/// Eventually translate to mergetag/unittest.d
module MTTest;

import mde.mergetag.read;
import mde.mergetag.write;
import mde.test;

import tango.io.Stdout;
import tango.util.log.Log : Log;
import tango.util.log.ConsoleAppender : ConsoleAppender;

static this()
{
    Log.getRootLogger().addAppender(new ConsoleAppender);
}

void main() {
    Reader reader;
    try {
        reader = new Reader("test.mtt");
        reader.read();
    }
    catch (MTException e) {
        Stdout ("Read exception: ")(e.msg).newline;
        return;
    }
    
    try {
        IWriter writer = makeWriter ("testw.mtt", reader.dataset);
        writer.write();
    }
    catch (MTException e) {
        Stdout ("Write exception: ")(e.msg).newline;
    }
    
    printDataSet (reader.dataset);
}
